<?php

require_once "config.php";

// Mengatur header untuk menentukan tipe konten sebagai JSON
header('Content-Type: application/json');

// Mendapatkan metode HTTP yang digunakan
$method = $_SERVER['REQUEST_METHOD'];

// Menjalankan aksi berdasarkan metode HTTP
switch ($method) {
    case 'GET':
        // Pastikan parameter 'cemail' telah ada dalam URL
        if(isset($_GET['cemail'])) {
            $cemail = $_GET['cemail'];

            // Query untuk mencari data poin berdasarkan cemail
            $query = $conn->query("SELECT cnomer, cnoid, dtanggal, npoin FROM tbbukupoin WHERE ckodecust = '$cemail'");

            // Memeriksa apakah query mengembalikan hasil
            if ($query->num_rows > 0) {
                $result = array();
                while ($row = $query->fetch_assoc()) {
                    // Mengenkoding karakter dalam setiap nilai sebelum dimasukkan ke dalam array $result
                    foreach ($row as $key => $value) {
                        $row[$key] = utf8_encode($value);
                    }
                    $result[] = $row;
                }
                // Mengembalikan data poin dalam format JSON
                echo json_encode($result);
            } else {
                // Mengembalikan pesan jika tidak ada data yang ditemukan
                echo json_encode(['message' => 'No data found']);
            }
        } else {
            // Mengembalikan pesan jika parameter 'cemail' tidak ditemukan dalam URL
            echo json_encode(['message' => 'cemail parameter is missing']);
        }
        break;
}

// Menutup koneksi database
mysqli_close($conn);

?>
